thunderbird fails to open, xml parse error

Bug #1901829 reported by John Frankland
90
This bug affects 14 people
Affects Status Importance Assigned to Milestone
thunderbird (Ubuntu)
High
Olivier Tilloy
Groovy
High
Olivier Tilloy

Bug Description

launching thunderbird opens a small browser window displaying the following error:

XML Parsing Error: undefined entity
Location: chrome://messenger/content/messenger.xhtml
Line Number 905, Column 3:
  <key id="openLightningKey"
--^

when launched from the command line, the following errors appear:

[calBackendLoader] Using Thunderbird's libical backend
Extension error: Error while loading 'jar:file:///<email address hidden>!/manifest.json' (NS_ERROR_FILE_NOT_FOUND) resource://gre/modules/Extension.jsm:570 :: readJSON/</<@resource://gre/modules/Extension.jsm:570:20
onStopRequest@resource://gre/modules/NetUtil.jsm:128:18

Extension error: Error while loading 'jar:file:///usr/lib/thunderbird/omni.ja!/chrome/messenger/search-extensions/twitter/manifest.json' (NS_ERROR_FILE_NOT_FOUND) resource://gre/modules/Extension.jsm:570 :: readJSON/</<@resource://gre/modules/Extension.jsm:570:20
onStopRequest@resource://gre/modules/NetUtil.jsm:128:18

from desktop GUI it is possible to launch "Compose new message" or "Contacts" window,
then in "Help" menu select "Restart with add-ons disabled", then the normal mail/calendar
window opens and functions normally

cheers

ProblemType: Bug
DistroRelease: Ubuntu 20.10
Package: thunderbird 1:78.3.2+build1-0ubuntu1
ProcVersionSignature: Ubuntu 5.8.0-25.26-generic 5.8.14
Uname: Linux 5.8.0-25-generic x86_64
AddonCompatCheckDisabled: False
ApportVersion: 2.20.11-0ubuntu50
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: frankland 7570 F.... pulseaudio
 /dev/snd/controlC1: frankland 7570 F.... pulseaudio
BuildID: 20201006011220
CasperMD5CheckResult: skip
Channel: Unavailable
CurrentDesktop: ubuntu:GNOME
Date: Wed Oct 28 10:05:04 2020
Extensions: extensions.sqlite corrupt or missing
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
InstallationDate: Installed on 2018-03-28 (945 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20180105.1)
IpRoute:
 default via 193.48.109.1 dev enx9cebe86f11b0 proto dhcp metric 100
 default via 193.48.109.1 dev wlp1s0 proto dhcp metric 600
 169.254.0.0/16 dev enx9cebe86f11b0 scope link metric 1000
 193.48.109.0/24 dev enx9cebe86f11b0 proto kernel scope link src 193.48.109.26 metric 100
 193.48.109.0/24 dev wlp1s0 proto kernel scope link src 193.48.109.26 metric 600
Locales: extensions.sqlite corrupt or missing
PrefErrors: Unexpected character ',' before close parenthesis @ /usr/lib/thunderbird/omni.ja:greprefs.js:732
PrefSources: prefs.js
Profiles: Profile0 (Default) - LastVersion=78.3.2/20201006011220 (In use)
RunningIncompatibleAddons: False
SourcePackage: thunderbird
Themes: extensions.sqlite corrupt or missing
UpgradeStatus: Upgraded to groovy on 2020-10-23 (4 days ago)
dmi.bios.date: 01/07/2020
dmi.bios.release: 1.17
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.17.1
dmi.board.name: 0DW6V0
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.17.1:bd01/07/2020:br1.17:svnDellInc.:pnLatitude5580:pvr:rvnDellInc.:rn0DW6V0:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: Latitude
dmi.product.name: Latitude 5580
dmi.product.sku: 07D1
dmi.sys.vendor: Dell Inc.

Revision history for this message
John Frankland (frankland) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in thunderbird (Ubuntu):
status: New → Confirmed
Olivier Tilloy (osomon)
tags: added: rls-gg-incoming
Revision history for this message
Olivier Tilloy (osomon) wrote :

To everyone affected, could you please run the following command in a terminal, and attach the generated zip file (/tmp/tb-profile-extensions.zip) here?

    find ~/.thunderbird -name extension*.json -print | zip /tmp/tb-profile-extensions.zip -@

Revision history for this message
Andrés Alcarraz (alcarraz) wrote :

File generated by:

find ~/.thunderbird -name extension*.json -print | zip /tmp/tb-profile-extensions.zip -@

Revision history for this message
Mk1Softie (m-g-thomas) wrote :

File generated by the above command.

Revision history for this message
ChrisOfBristol (chrisofbristol) wrote :

As requested.

Revision history for this message
Olivier Tilloy (osomon) wrote :

Re- comment #4, Andrés it looks like you forgot to attach the file.

Revision history for this message
Andrés Alcarraz (alcarraz) wrote :
Changed in thunderbird (Ubuntu):
importance: Undecided → High
Revision history for this message
Andrés Alcarraz (alcarraz) wrote :

Re- comment #7 https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/1901829/comments/7

I deleted and readded it after verifying that there was not sensitive information

Revision history for this message
joe garner (joshyger) wrote : Aw: [Bug 1901829] Re: thunderbird fails to open, xml parse error
Revision history for this message
John Frankland (frankland) wrote :

Here is the requested file.

Revision history for this message
Andrés Alcarraz (alcarraz) wrote :

anyway, the problem still persisted after disabling all extensions, but worked in safe mode

Revision history for this message
joe garner (joshyger) wrote :

here it is.
:)

Revision history for this message
joe garner (joshyger) wrote :

safe mode does not working in neither 4 me

Revision history for this message
Olivier Tilloy (osomon) wrote :

The error messages mentioning <email address hidden> appear to be red herrings.

This upstream bug is possibly related: https://bugzilla.mozilla.org/show_bug.cgi?id=1615124

Revision history for this message
Andrés Alcarraz (alcarraz) wrote :

Problem seem to be in file /usr/lib/thunderbird/omni.ja which is an archive file.

Inside it chrome/messenger/content/messenger/messenger.xhtml has in line 905 a reference to an undefined XML entity &lightning.keys.event.showCalendar.key;

Revision history for this message
Olivier Tilloy (osomon) wrote :

And this (French) forum post has more insights: https://forum.ubuntu-fr.org/viewtopic.php?pid=22359410.

I can reliably reproduce the problem by doing the following (on my system where the locale is fr):

    sudo apt remove thunderbird-locale-fr
    find ~/.thunderbird -name <email address hidden> -exec rm {} \;
    # launch thunderbird (now in English), open the Add-ons Manager, search for "Français" and install the first result ("Français Language Pack (Thunderbird)")
    # close thunderbird, and open it again, and observe the popup with the XML parsing error

Revision history for this message
Olivier Tilloy (osomon) wrote :

I wonder if we can patch thunderbird to make it more robust in this kind of situation.

In the meantime, here is a workaround that should work for everyone affected:

    find ~/.thunderbird -name langpack*@thunderbird.mozilla.org.xpi -exec rm {} \;

Then if thunderbird isn't localized in your preferred language, install the corresponding Ubuntu package named thunderbird-locale-$LANGCODE.

Please let me know if this works for you.

Changed in thunderbird (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
Revision history for this message
ChrisOfBristol (chrisofbristol) wrote :

Olivier it works for me. In case its relevant I use Thunderbird in English.

Revision history for this message
Mk1Softie (m-g-thomas) wrote :

Removing the configuration directory (mv ~/.thunderbird{,-prev}) and configuring from scratch gives a working Thunderbird. Presume this problem is caused by the Ubuntu 20.04 to 20.10 upgrade. (Thunderbird worked before the upgrade, but not after it!]

Revision history for this message
ChrisOfBristol (chrisofbristol) wrote :

@Mk1Softie Agreed that it may be related to the Ubuntu 20.04 to 20.10 upgrade. For me too Thunderbird worked before the upgrade, but not after it.

Revision history for this message
Andrés Alcarraz (alcarraz) wrote :

For me, it worked after upgrade to ubuntu 20.10 but stopped working today.

Revision history for this message
joe garner (joshyger) wrote :

Olivier, unfortunally it does not work for me. like MK1Softie suggest: if i remove my .thunderbird folder in the home directory, its starting.

Revision history for this message
John Frankland (frankland) wrote :

Olivier, this worked for me. The file which was removed was

~/.<email address hidden>

Strangely, when I open Add-Ons in the newly-working Thunderbird, I still see
English (CA), English (GB) and Français (all marked "Can't be removed").

$ dpkg -l | grep thunderbird
thunderbird 1:78.3.2+build1-0ubuntu1
thunderbird-gnome-support 1:78.3.2+build1-0ubuntu1
thunderbird-locale-en 1:78.3.2+build1-0ubuntu1
thunderbird-locale-en-us 1:78.3.2+build1-0ubuntu1
thunderbird-locale-fr 1:78.3.2+build1-0ubuntu1

As for Andrés, it still worked straight after the upgrade to 20.10, and stopped working yesterday.

Cheers
John

Revision history for this message
Alistair Cunningham (acunningham) wrote :
Revision history for this message
Alistair Cunningham (acunningham) wrote :

Unfortunately running "find ~/.thunderbird -name langpack*@thunderbird.mozilla.org.xpi -exec rm {} \;" didn't fix it for me. From before running that command, I had just the en-GB language pack:

~$ find ~/.thunderbird -name langpack*@thunderbird.mozilla.org.xpi
/home/<email address hidden>

and had the following thunderbird packages installed:

# dpkg -l | grep thunderbird
ii thunderbird 1:78.3.2+build1-0ubuntu1 amd64 Email, RSS and newsgroup client with integrated spam filter
ii thunderbird-gnome-support 1:78.3.2+build1-0ubuntu1 amd64 Email, RSS and newsgroup client - GNOME support
ii thunderbird-locale-en 1:78.3.2+build1-0ubuntu1 amd64 English language pack for Thunderbird
ii thunderbird-locale-en-gb 1:78.3.2+build1-0ubuntu1 all Transitional English language pack for Thunderbird
ii thunderbird-locale-en-us 1:78.3.2+build1-0ubuntu1 all Transitional English language pack for Thunderbird

As with others, running thunderbird in safe mode works for me.

Revision history for this message
Joncheyne (joncheyne) wrote :

To challenge the worked before the upgrade theory, I upgraded yesterday and installed Thunderbird today. It worked the first time I ran it, for ten minutes, but then failed to start the second time with the message above. Safe mode also does not work, same error message.

Revision history for this message
J-Paul BERARD (arverne) wrote :

It works for me :
Removed the french language pack add-on
Then install in a terminal : thunderbird-locale-fr (it said : already installed)
Then start normally Thunderbird : it works and in french !

Revision history for this message
akash rao (akashraoind-deactivatedaccount) wrote : Re: [Bug 1901829] Re: thunderbird fails to open, xml parse error

so, only a few language versions are not fine ... is it so?

On Thu, 29 Oct 2020 at 19:46, J-Paul BERARD <email address hidden>
wrote:

> It works for me :
> Removed the french language pack add-on
> Then install in a terminal : thunderbird-locale-fr (it said : already
> installed)
> Then start normally Thunderbird : it works and in french !
>
> --
> You received this bug notification because you are a member of Ubuntu
> Bugs, which is subscribed to Ubuntu.
> https://bugs.launchpad.net/bugs/1901829
>
> Title:
> thunderbird fails to open, xml parse error
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/1901829/+subscriptions
>
> --
> ubuntu-bugs mailing list
> <email address hidden>
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Revision history for this message
Joncheyne (joncheyne) wrote :

Uninstalled, cleared out old folders, re-installed. Working fine now.

Revision history for this message
Andy Jenkins (andy-jenks) wrote :

I did the upgrade today and also found that it worked the first time I started it but crashed every time after that. I ran the following, which fixed the problem.

sudo apt remove thunderbird-locale*
rm .thunderbird/{profile name}/<email address hidden>
sudo apt install thunderbird-locale-en

Revision history for this message
Olivier Tilloy (osomon) wrote :

It sounds like something in the upgrade from thunderbird 68.X (in focal) to version 78.Y (in groovy) is possibly making thunderbird automatically download language pack updates from the extensions site, that shadow the ones that are installed system-wide. This would happen the first time thunderbird is run after the update, which explains why it runs okay once and fails afterwards.

This is just an hypothesis that needs to be confirmed.

Revision history for this message
Andrés Alcarraz (alcarraz) wrote :

In my case it ran ok for several days, so I think it's most likely an
update to the language packs extension themselves.

El 29/10/20 a las 15:48, Olivier Tilloy escribió:
> It sounds like something in the upgrade from thunderbird 68.X (in focal)
> to version 78.Y (in groovy) is possibly making thunderbird automatically
> download language pack updates from the extensions site, that shadow the
> ones that are installed system-wide. This would happen the first time
> thunderbird is run after the update, which explains why it runs okay
> once and fails afterwards.
>
> This is just an hypothesis that needs to be confirmed.
>

Revision history for this message
Olivier Tilloy (osomon) wrote :

I cannot confirm that hypothesis: I created a thunderbird profile in a focal VM, and imported it in a groovy VM. The application ran fine in the groovy VM after the simulated upgrade, several times in a row, and I didn't observe langpack extensions being automatically downloaded and installed in the profile directory.

Revision history for this message
Olivier Tilloy (osomon) wrote :

If anyone is able to reproduce the problem, please before deleting the local langpacks from the profile directory, check its timestamp:

    find ~/.thunderbird -name langpack*@thunderbird.mozilla.org.xpi -exec ls -l {} \;

and compare it against the date/time you first launched thunderbird after upgrading to 20.10.

Revision history for this message
Olivier Tilloy (osomon) wrote :

Alistair: in comment #26 you mention that you only had <email address hidden> in your profile directory. The extensions.json you attached in comment #25 also lists other extensions (not langpacks), I wonder whether one of them could be causing this. This would widen the scope of the problem.

Can you make a backup copy of your profile folder, and then try removing the .xpi files under /home/alistair/.thunderbird/gh0m9rq4.default/extensions/ one by one, launching thunderbird in between each removal, and let us know if/when it eventually starts successfully. It would be very useful to identify precisely which extension is causing the problem.

Thanks!

Revision history for this message
Alistair Cunningham (acunningham) wrote :

Olivier, since I wrote comment #26, I actually got it working and since then it seems to be reliable. What I did was:

1. Stopped Thunderbird, which had been running in safe mode.
2. sudo apt remove thunderbird-locale*
3. sudo apt install thunderbird-locale-en-gb
4. Start Thunderbird normally.

I've since stopped and started it about 5 times normally, and all seems to work correctly.

Revision history for this message
joe garner (joshyger) wrote :

Hi there.

I figured out, that after removing the language packets

thunderbird-locale-en 1:78.3.3+build1-0ubuntu0.20.10.1
thunderbird-locale-en-gb
thunderbird-locale-de

installed from this source http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu/

and reinstalling the 1:78.3.2+build1-0ubuntu1 packets from the official Source,

fixed the problem in my case. maybe it helps?!

Revision history for this message
Olivier Tilloy (osomon) wrote :

Installing packages from that PPA is not recommended (unless you're into testing pre-releases of security updates, and you know what you're doing).

Revision history for this message
Joep Jaeger (joepj) wrote :
Revision history for this message
Luciano López (luciano-e) wrote :

A mi también me ocurre este error

Revision history for this message
Olivier Tilloy (osomon) wrote :

Thank you Joep. Can you please share the output of the following command?

    LANG=C stat /<email address hidden>

Once you have captured the output and shared it here, can you confirm whether deleting that file (with the following command) resolves the issue?

    rm -f /<email address hidden>

Revision history for this message
Olivier Tilloy (osomon) wrote :

Thank you Luciano. Can you please share the output of the following command?

    LANG=C stat /home/luciano/.thunderbird/y528qfof.default/extensions/langpack-*@thunderbird.mozilla.org.xpi

Once you have captured the output and shared it here, can you confirm whether deleting those files (with the following command) resolves the issue?

    rm -f /home/luciano/.thunderbird/y528qfof.default/extensions/langpack-*@thunderbird.mozilla.org.xpi

Revision history for this message
Joep Jaeger (joepj) wrote :

  File: /<email address hidden>
  Size: 644358 Blocks: 1264 IO Block: 4096 regular file
Device: 811h/2065d Inode: 3411565 Links: 1
Access: (0600/-rw-------) Uid: ( 1000/ joep) Gid: ( 1000/ joep)
Access: 2020-11-02 09:54:27.979869653 +0100
Modify: 2020-10-27 18:44:45.000000000 +0100
Change: 2020-10-27 18:

Yes, it worked, thanks a whole lot of lot :-)

Revision history for this message
Joep Jaeger (joepj) wrote :

missed a little of the output:

Access: 2020-11-02 09:54:27.979869653 +0100
Modify: 2020-10-27 18:44:45.000000000 +0100
Change: 2020-10-27 18:44:45.278746435 +0100
 Birth: -

Revision history for this message
Olivier Tilloy (osomon) wrote :

Thanks for the info Joep, and glad to know this worked around the problem.

So in your case the the Dutch langpack was added to your profile directory on the 27th of October, at 18:44 local time. Do you remember when you upgraded to Ubuntu 20.10 ? Does this timestamp correspond to the first time you launched thunderbird after upgrading, by any chance?

Revision history for this message
Joep Jaeger (joepj) wrote :

I didn't upgrade to Ubuntu 20.10 at all Olivier, I'm still on Ubuntu Mate 20.04.1. Maybe it came with an update? Thunderbird already was a longer time just in English. But as far I know the problem started 27th October, yes indeed.

Maybe also nice to know, when I didn't close the window displaying the error, I got notification of received new mails.

Revision history for this message
Olivier Tilloy (osomon) wrote :

Ah, that's an interesting data point, I had incorrectly assumed that the problem was triggered only when upgrading to Ubuntu 20.10.

@Joep, can you share the output of the following command?

    apt policy thunderbird

Revision history for this message
Joep Jaeger (joepj) wrote :

apt policy thunderbird
thunderbird:
  Geïnstalleerd: 1:78.3.2+build1-0ubuntu0.20.04.1
  Kandidaat: 1:78.3.2+build1-0ubuntu0.20.04.1
  Versietabel:
 *** 1:78.3.2+build1-0ubuntu0.20.04.1 500
        500 http://ppa.launchpad.net/ubuntu-mozilla-security/ppa/ubuntu focal/main amd64 Packages
        100 /var/lib/dpkg/status
     1:68.10.0+build1-0ubuntu0.20.04.1 500
        500 http://mirror.netcologne.de/ubuntu focal-updates/main amd64 Packages
        500 http://mirror.netcologne.de/ubuntu focal-security/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages
     1:68.7.0+build1-0ubuntu2 500
        500 http://mirror.netcologne.de/ubuntu focal/main amd64 Packages

Revision history for this message
Olivier Tilloy (osomon) wrote :

Right, so the trigger for the bug appears to be upgrading from thunderbird 68.x to 78.y, as Joep did by enabling the ubuntu-mozilla-security PPA.

Note that that PPA is not recommended for general use, it is used for preparing and testing updates. This doesn't invalidate this problem though, which I haven't managed to reproduce in various testing scenarios yet.

tags: removed: rls-gg-incoming
Changed in thunderbird (Ubuntu Groovy):
importance: Undecided → High
Olivier Tilloy (osomon)
Changed in thunderbird (Ubuntu Groovy):
assignee: nobody → Olivier Tilloy (osomon)
Revision history for this message
Mitch Golden (mgolden) wrote :

I too have this problem. It seems that if you go into your .thunderbird directory and delete the file addonStartup.json.lz4, thunderbird is able to start. Restarting tb usually causes the error to appearagain, but re-deleting this file allows it to start again.

Revision history for this message
Andrés Alcarraz (alcarraz) wrote :

It all points to add-ons updates (language pack mostly) that somehow are
not fully compatible with thunderbird 78.3.

Those json startups may be somehow putting the references to undefined
entities in the xmls
> I too have this problem. It seems that if you go into your .thunderbird
> directory and delete the file addonStartup.json.lz4, thunderbird is able
> to start. Restarting tb usually causes the error to appearagain, but re-
> deleting this file allows it to start again.
>

Revision history for this message
Mitch Golden (mgolden) wrote :

I should also say that the only language pack I have is

$ find . -name "*lang*"
./<email address hidden>

and it is from the same time as I upgraded to Kubuntu 20.10

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in thunderbird (Ubuntu Groovy):
status: New → Confirmed
Revision history for this message
Olivier Tilloy (osomon) wrote :

Andrés, indeed upstream language packs are built differently than the Ubuntu locale packages for thunderbird, they don't have the same content, and that's what is causing the problem.

What I haven't managed to understand yet is how/why thunderbird downloaded language packs on upgrade, overriding the ones that are installed system-wide.

Revision history for this message
Andrés Alcarraz (alcarraz) wrote :

Hi Oliver, I'm not sure the problem is with systemwide installed language packs.

Maybe it happens when there are plugins in the profile, for instance, when I had this problem it didn't happen in a new empty profile.

Hope this shed some light.

Revision history for this message
Simon Iremonger (ubuntu-iremonger) wrote :

This seems to be related to important suggestion to merge packaging efforts as best as possible:-

https://bugs.launchpad.net/ubuntu/+source/thunderbird/+bug/1894090

...Not sure if merging-efforts will help with this specific bug, or otherwise, Debian can be learned-from somehow-or-other!.

Revision history for this message
Brian Murray (brian-murray) wrote :

The Groovy Gorilla has reached end of life, so this bug will not be fixed for that release

Changed in thunderbird (Ubuntu Groovy):
status: Confirmed → Won't Fix
Revision history for this message
Jerry Quinn (jlquinn) wrote :

I see this issue in 20.04 but it interfere with starting thunderbird. I'm using en-US.

jlquinn@cerberus:~/Videos/summits$ lsb_release -a; uname -a; apt-cache policy thunderbird
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 20.04.2 LTS
Release: 20.04
Codename: focal
Linux cerberus 5.4.0-80-generic #90-Ubuntu SMP Fri Jul 9 22:49:44 UTC 2021 x86_64 x86_64 x86_64 GNU/Linux
thunderbird:
  Installed: 1:78.11.0+build1-0ubuntu0.20.04.2
  Candidate: 1:78.11.0+build1-0ubuntu0.20.04.2
  Version table:
 *** 1:78.11.0+build1-0ubuntu0.20.04.2 500
        500 http://us.archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages
        100 /var/lib/dpkg/status
     1:68.7.0+build1-0ubuntu2 500
        500 http://us.archive.ubuntu.com/ubuntu focal/main amd64 Packages

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.